Ad.

Openfire IM Server 3.8.2 (Synology package)

28 July 2013 13:58

The Synology Openfire package has been updated to version 3.8.2.

Changelog Openfire 3.8.2

Openfire Improvements
– Add CORS headers to HTTP-Binding/BOSH
– Group names with <> should be properly HTML escaped
– Add support for X-Forwarded-For (XFF) headers from proxied BOSH clients
– Add configurable JMX support
– Merge Atlassian Crowd provider into Openfire core
– Enhance the sessions pages (summary/detail) in the admin console
– Add roster management capabilities to userservice plugin

Openfire Bug Fixes
– Subscriptions to pubsub node should be based on the JID as supplied, not the bare JID
– Admin Console is adding BR tags when editing system property containing string with newlines
– Ensure HttpSession is terminated properly by session reaper
– Kicking MUC occupant on server is not propagated to clients
– FlashCrossDomainHandler causes infinite loop under some circumstances
– SASL server in OF creates digest-uri based on xmpp.fqdn but it sends xmpp.domain to the client
– Security audit logviewer is not escaping tags
– XmppDateTimeFormat is unable to parse date Strings
– BOSH deadlock
– Fix crossdomain.xml for BOSH
– JDBCUserProvider returns all users for a paginated search
– MUC Topic/Subject change not propagated to other cluster nodes
– Monitoring archive shows null in room chat logs
– MUC changes/activities do not propagate across cluster nodes
– Pubsub items should be created using cluster time rather than local time
– Monitoring plugin bad SQL for upgrade
– Pubsub items (persistent) may be dropped in certain cases
– XSS in server2server.jsp
– Should include a 'to' attribute in initiating s2s streams

Openfire New Features
– Monitoring plugin should have an option to purge and restrict

openfire More information can be found at the Ignite Realtime blog.

I hope you enjoy the package!

19 responses to “Openfire IM Server 3.8.2 (Synology package)”

  1. Patrick says:

    I am using this package on my DS210j for some time now. I have just updated it and now I can not connect to it anymore with a chat client.
    Web admin works fine.

  2. Anton says:

    I get this when I try to log in into the web interface on my DS411+:

    HTTP ERROR 500

    Problem accessing /index.jsp. Reason:
    org.jivesoftware.openfire.XMPPServer.getSTUNService()Lorg/jivesoftware/openfire/stun/STUNService;

    Caused by:
    java.lang.NoSuchMethodError: org.jivesoftware.openfire.XMPPServer.getSTUNService()Lorg/jivesoftware/openfire/stun/STUNService;
    at org.jivesoftware.openfire.admin.index_jsp._jspService(index_jsp.java:142)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:97)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
    at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:547)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1359)
    at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:118)
    at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:52)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.util.LocaleFilter.doFilter(LocaleFilter.java:74)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.util.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:50)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.admin.PluginFilter.doFilter(PluginFilter.java:78)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.admin.AuthCheckFilter.doFilter(AuthCheckFilter.java:164)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:478)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:119)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:520)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:227)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:941)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:409)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:186)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:875)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:117)
    at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:250)
    at org.eclipse.jetty.server.handler.HandlerCollection.handle(HandlerCollection.java:149)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:110)
    at org.eclipse.jetty.server.Server.handle(Server.java:349)
    at org.eclipse.jetty.server.HttpConnection.handleRequest(HttpConnection.java:441)
    at org.eclipse.jetty.server.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:919)
    at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:582)
    at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:218)
    at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:51)
    at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:586)
    at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:44)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:598)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:533)
    at java.lang.Thread.run(Thread.java:662)

    I’ve observed this through the last 3 updates.

    Is there any way to fix this?

  3. sergio says:

    I upgraded today to this newer package and now the web admin does not work: I get this error:

    HTTP ERROR 500

    Problem accessing /index.jsp. Reason:
    org.jivesoftware.openfire.XMPPServer.getSTUNService()Lorg/jivesoftware/openfire/stun/STUNService;

    Caused by:
    java.lang.NoSuchMethodError: org.jivesoftware.openfire.XMPPServer.getSTUNService()Lorg/jivesoftware/openfire/stun/STUNService;
    at org.jivesoftware.openfire.admin.index_jsp._jspService(index_jsp.java:142)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:97)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
    at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:547)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1359)
    at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:118)
    at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:52)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.util.LocaleFilter.doFilter(LocaleFilter.java:74)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.util.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:50)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.admin.PluginFilter.doFilter(PluginFilter.java:78)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.jivesoftware.admin.AuthCheckFilter.doFilter(AuthCheckFilter.java:164)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:478)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:119)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:520)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:227)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:941)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:409)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:186)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:875)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:117)
    at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:250)
    at org.eclipse.jetty.server.handler.HandlerCollection.handle(HandlerCollection.java:149)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:110)
    at org.eclipse.jetty.server.Server.handle(Server.java:349)
    at org.eclipse.jetty.server.HttpConnection.handleRequest(HttpConnection.java:441)
    at org.eclipse.jetty.server.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:919)
    at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:582)
    at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:218)
    at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:51)
    at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:586)
    at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:44)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:598)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:533)
    at java.lang.Thread.run(Thread.java:662)

    • sergio says:

      I removed the whole package from sinology and loaded back 3.8.2. This time all worked fine.

  4. thomas says:

    Hello. Thanks for the nice openfire package! I try to get it run on my brand new DS214. Unfortunately I can’t get it work with your java package (neither version 6 nor 7). So I tried to take java from another distribtion channel. But still, the openfire package sais “Please install “java >= 1.6.0.27-1″ before installing this package”. How can I install your java package – or how can I make the installed one from another source visible to the openfire package?

    Thanks for your help.

  5. SenKarl says:

    Hi, some problem here with a DS214+.
    I am using a java-package from ‘pcloadletter’ because the packages here do not support the DS214 architekture.
    But I cannt get Openfire installed because of this error:
    “Please install “java >= 1.6.0.27-1″ before installing this package”.
    Any hint would be greatly appreciated. THx! Karl

  6. mazi says:

    Hi Missile Hugger
    Openfire 3.9 is out now! Im looking forward to Your update on the package. Im not using it now but would be very interesed in getting it working including the Jitsi VideoBridge plugin.

  7. crou says:

    Hello Missile Hugger,
    I am using your Openfire package for some months already with great pleasure. It is working very well in my DS411slim.
    As Mazi said, I would be delighted to update it ti the 3.9 version. Openfire already work with Jitsi and Jingle node plugin, it might be even better with Jitsi Videobridge plugin and the webrtc-based video conferencing application embedded as a web service.
    Thanks again for you great work!

  8. Jonathan says:

    Great plugin! Are there any plans to update it to version 3.9?

  9. Jan says:

    hi great work,
    now a new verion has created a 3.9.1 please please make an update for synology disk station arm

    thank you

    Jan

  10. Hugh says:

    Hi, your Openfire/Synology project is awesome! We’ve used it in many different settings and everyone loves it. I was just wondering if you’ll be updating to 3.9.1 in the near future. Everything works great so it’s not a huge dea lto me. Thanks!

  11. mazi says:

    Hi Missile Hugger
    no reply on comments an no new blog entries since many months now.
    Could you state at least whether the projects have been canned or just put on halt?
    Hope your doin well though!
    mazi

  12. Mulles says:

    Hi Missile Hugger,

    First of all thanks a lot for the good work. I have been using your Java Package and Openfire.

    Unfortunately, I need Openfire 3.9.1 to get Jingle Nodes running. I want to use it with Jitsi (Open source Skype alternative) I have been trying to edit the Code of Jingle Nodes, but without success, the official bug fix of Jingle Nodes, only works with Openfire 3.9.0.

    I am willing to give your a nice donation, should you be able to get Openfire 3.9.1 running on Synology.

    Should you not, I will still make a donation just to support you.

    Please keep us up to date on any future plans 🙂

    Thanks a lot.

  13. Andrei says:

    Any chance of an update to 3.9.1? I can’t seem to install User Service any longer. This is a big deal for me; please let us know the status of the project.

    Thanks

  14. Barneyos says:

    Hi, thanks for great work, do U plan to issue newest version (for now 3.9.3) ?

    ‘Cause the 3.8.2 has some bugs, there are some problems with starting the server and server’s page isn’t available – 404 error (solved in 3.9.3) and I’m exactly that “lucky” guy.

    Reg
    B

Leave a Reply

Your email address will not be published. Required fields are marked *